package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttFsdaBase;
import com.goldenwater.slgc.mapper.AttFsdaBaseMapper;
import com.goldenwater.slgc.service.FsdaService;

/** 蓄滞洪区信息 业务实现 */
@Service
public class FsdaServiceImpl implements FsdaService {
    @Autowired
    private AttFsdaBaseMapper attFsdaBaseMapper;

    @Override
    public List<AttFsdaBase> selectAttFsdaBaseList(AttFsdaBase attFsdaBase) {
        return attFsdaBaseMapper.selectAttFsdaBaseList(attFsdaBase);
    }

    @Override
    public AttFsdaBase selectAttFsdaBaseById(String fsdaCode) {
        return attFsdaBaseMapper.selectAttFsdaBaseById(fsdaCode);
    }

    @Override
    public int deleteAttFsdaBaseByIds(String[] fsdaCodes) {
        return attFsdaBaseMapper.deleteAttFsdaBaseByIds(fsdaCodes);
    }

    @Override
    public int insertAttFsdaBase(AttFsdaBase attFsdaBase) {
        return attFsdaBaseMapper.insertAttFsdaBase(attFsdaBase);
    }

    @Override
    public int updateAttFsdaBase(AttFsdaBase attFsdaBase) {
        return attFsdaBaseMapper.updateAttFsdaBase(attFsdaBase);
    }
}
